<?php
/*---------------------------------------------------------------*/
/*
    Titre : Nettoie les entrées de la base de données                                                                   
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=830
    Date dition     : 12 Fv 2019                                                                                        
    Date mise  jour : 29 Aout 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
*/
/*---------------------------------------------------------------*/

    function cleanInput($input) {

      $search = array(
        '@<script[^>]*?>.*?</script>@si',   // Strip out javascript
        '@<[\/\!]*?[^<>]*?>@si',                   // Strip out HTML tags
        '@<style[^>]*?>.*?</style>@siU',   // Strip style tags properly
        '@<![\s\S]*?--[ \t\n\r]*>@'               // Strip multi-line comments
      );

        $output = preg_replace($search, '', $input);
        return $output;
      }

    function sanitize($input) {
      $output = '';
      if (is_array($input)) {
          foreach($input as $var=>$val) {
              $output[$var] = sanitize($val);
          }
      }
      else {
          if (get_magic_quotes_gpc()) {
              $input = stripslashes($input);
          }
          $output  = cleanInput($input);

      }
      return $output;
    }
?>